Subject: Re: [PATCH 1/3] bootwrapper: In cuImage, print message for ENET devices not found in tree

From: David Gibson <[email-masked]>
Date: Fri, 31 Aug 2007 14:25:36 +1000

On Thu, Aug 30, 2007 at 10:14:41PM -0600, Grant Likely wrote:
> On 8/30/07, David Gibson <[email-masked]> wrote:
> > On Thu, Aug 30, 2007 at 02:26:18PM -0600, Grant Likely wrote:
> > > From: Grant Likely <[email-masked]>
> > >
> > > Signed-off-by: Grant Likely <[email-masked]>
> > > CC: Scott Wood <[email-masked]>
> > > CC: Kumar Gala <[email-masked]>
> > > CC: David Gibson <[email-masked]>
> >
> > Hrm... I thought Scott had deliberately removed that message in his
> > patch set, to work with the way PlanetCore generates Ethernet
> > addresses.
> 
> I'm confused then.  The code either sets the property or it doesn't.
> >From what I can see, the message doesn't make any sense in the context
> of *not* calling setprop().  How does PlanetCore work?  Scott?

Sorry, I was misleading.  Scott moved the printf() into the if (devp)
as you do, but *didn't* add the alternative warning message in the
else.

The reason for this is that Planetcore only supplies the first MAC
address, and the bootwrapper must derive the addresses for all the
ENETs from that.  That in turn means it is much more convenient to
call fixup_mac_addresses() with more addresses than there are
ethernets, so we don't want a warning message when that happens.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson